%% Gilles Antoniazza / June 2020

clear all
close all

% Load data

Geo2 =cell2mat(struct2cell(load('geo2.mat')));
Geo2(90,:)=[];
Geo2(70,:)=[];
Geo2(50,:)=[];
Geo2(40,:)=[];
Geo3 =cell2mat(struct2cell(load('geo3.mat'))); 
Geo3(90,:)=[];
Geo4 =cell2mat(struct2cell(load('geo4.mat')));       
Geo4(90,:)=[];
Geo4(80,:)=[];
Geo4(70,:)=[];
Geo4(50,:)=[];
Geo4(10,:)=[];
Geo5 =cell2mat(struct2cell(load('geo5.mat')));
Geo5(90,:)=[];
Geo5(80,:)=[];
Geo5(70,:)=[];
Geo5(20,:)=[];
Geo6 =cell2mat(struct2cell(load('geo6.mat')));       
Geo6(40,:)=[];
Geo7 =cell2mat(struct2cell(load('geo7.mat'))); 
Geo7(60,:)=[];
Geo8 =cell2mat(struct2cell(load('geo8.mat'))); 
Geo8(80,:)=[];
Geo8(60,:)=[];
Geo8(40,:)=[];
Geo9 =cell2mat(struct2cell(load('geo9.mat'))); 
Geo10 =cell2mat(struct2cell(load('geo10.mat')));  
Geo10(80,:)=[];
Geo11 =cell2mat(struct2cell(load('geo11.mat')));  
Geo11(90,:)=[];
Geo11(60,:)=[];
Geo12 =cell2mat(struct2cell(load('geo12.mat')));  
Geo12(90,:)=[];
Geo12(50,:)=[];
Geo13 =cell2mat(struct2cell(load('geo13.mat')));  
Geo13(90,:)=[];
Geo13(60,:)=[];
Geo13(50,:)=[];
Geo14 =cell2mat(struct2cell(load('geo14.mat')));  
Geo14(60,:)=[];
Geo15 =cell2mat(struct2cell(load('geo15.mat')));  
Geo15(60,:)=[];

% Colors
sensors = 14;
light = [251, 238, 230]/255;
dark = [110, 44, 0]/255;
colors_p = [linspace(light(1),dark(1),sensors)', linspace(light(2),dark(2),sensors)', linspace(light(3),dark(3),sensors)'];

% Figure 6b

x = [mean(Geo3(end-9:end,1)) 0 mean(Geo3(end-9:end,2)) 0 mean(Geo3(end-9:end,3)) 0 mean(Geo3(end-9:end,4)) 0 mean(Geo3(end-9:end,5)) 0 mean(Geo3(end-9:end,6)) 0];

figure
bar(x,'Facecolor',colors_p(10,:))
box off
xticks([1 2 3 4 5 6 7 8 9 10 11 12]);
xticklabels({'G1','A1','G2','A2','G3','A3','G4','A4','G5','A5','G6','A6'});
ylabel('A_m_a_x [V]')
set(gca,'FontSize',40);
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.YGrid = 'on';
ylim([0 6]);


x = [mean(Geo10(end-9:end,7)) 0 mean(Geo10(end-9:end,8)) 0 mean(Geo10(end-9:end,9)) 0 mean(Geo10(end-9:end,10)) 0 mean(Geo10(end-9:end,11)) 0 mean(Geo10(end-9:end,12)) 0];

figure
bar(x,'Facecolor',colors_p(10,:))
box off
xticks([1 2 3 4 5 6 7 8 9 10 11 12]);
xticklabels({'G7','A7','G8','A8','G9','A9','G10','A10','G11','A11','G12','A12'});
ylabel('A_m_a_x [V]')
set(gca,'FontSize',40);
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.YGrid = 'on';
ylim([0 6]);