%% Gilles Antoniazza / June 2020

clear all
close all

% Load data
Geo1 =cell2mat(struct2cell(load('geo1.mat'))); 
Geo1(90,:)=[];
Geo1(80,:)=[];
Geo1(30,:)=[];
Geo2 =cell2mat(struct2cell(load('geo2.mat')));       
Geo2(60,:)=[];
Geo3 =cell2mat(struct2cell(load('geo3.mat'))); 
Geo3(80,:)=[];
Geo3(70,:)=[];
Geo3(50,:)=[];
Geo4 =cell2mat(struct2cell(load('geo4.mat')));       
Geo4(60,:)=[];
Geo5 =cell2mat(struct2cell(load('geo5.mat')));
Geo5(80,:)=[];
Geo6 =cell2mat(struct2cell(load('geo6.mat')));       
Geo6(90,:)=[];
Geo6(80,:)=[];
Geo6(60,:)=[];
Geo6(50,:)=[];
Geo6(39:40,:)=[];
Geo7 =cell2mat(struct2cell(load('geo7.mat'))); 
Geo8 =cell2mat(struct2cell(load('geo8.mat'))); 
Geo8(60,:)=[];
Geo8(50,:)=[];
Geo9 =cell2mat(struct2cell(load('geo9.mat')));
Geo9(90,:)=[];
Geo9(70,:)=[];
Geo10 =cell2mat(struct2cell(load('geo10.mat')));  
Geo10(70,:)=[]; 
Geo11 =cell2mat(struct2cell(load('geo11.mat')));
Geo11(70,:)=[];
Geo11(50,:)=[];
Geo11(40,:)=[];
Geo12 =cell2mat(struct2cell(load('geo12.mat')));
Geo12(90,:)=[];
Geo12(70,:)=[];

%% First neighbouring geophone%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
threshold = 8*10^-2;

Geo1_s = sortrows(Geo1,1); % sort Geo1 according to column 1
Geo2_s = sortrows(Geo2,2); % sort Geo2 according to column 2
Geo3_s = sortrows(Geo3,3); 
Geo6_s = sortrows(Geo6,6); 
Geo5_s = sortrows(Geo5,5); 
Geo4_s = sortrows(Geo4,4); 
Geo9_s = sortrows(Geo9,9);
Geo8_s = sortrows(Geo8,8);
Geo7_s = sortrows(Geo7,7);
Geo10_s = sortrows(Geo10,10);
Geo11_s = sortrows(Geo11,11);
Geo12_s = sortrows(Geo12,12);

%Geo1
lmax_Geo1 = log(Geo2_s(find(Geo2_s(:,2)>threshold),2));
lmax_first_Geo1 = log(Geo2_s(find(Geo2_s(:,2)>threshold),1));
p_Geo1=polyfit(lmax_Geo1,lmax_first_Geo1,1);
x_fitline_Geo1 = lmax_Geo1;
y_fitline_Geo1 = p_Geo1(1)*x_fitline_Geo1+p_Geo1(2);
x_fitlog_Geo1 = exp(x_fitline_Geo1);
y_fitlog_Geo1 = exp(y_fitline_Geo1);
yfit_Geo1 = polyval(p_Geo1,lmax_Geo1);
yresid_Geo1 = lmax_first_Geo1 - yfit_Geo1;
SSresid_Geo1 = sum(yresid_Geo1.^2);
SStotal_Geo1 = (length(lmax_Geo1)-1) * var(lmax_Geo1);
rsq_Geo1 = 1 - SSresid_Geo1/SStotal_Geo1;


%Geo2
lmax_Geo2 = log([Geo1_s(find(Geo1_s(:,1)>threshold),1);Geo3_s(find(Geo3_s(:,3)>threshold),3)]);
lmax_first_Geo2 = log([Geo1_s(find(Geo1_s(:,1)>threshold),2);Geo3_s(find(Geo3_s(:,3)>threshold),2)]);
p_Geo2=polyfit(lmax_Geo2,lmax_first_Geo2,1);
x_fitline_Geo2 = lmax_Geo2;
y_fitline_Geo2 = p_Geo2(1)*x_fitline_Geo2+p_Geo2(2);
x_fitlog_Geo2 = exp(x_fitline_Geo2);
y_fitlog_Geo2 = exp(y_fitline_Geo2);
yfit_Geo2 = polyval(p_Geo2,lmax_Geo2);
yresid_Geo2 = lmax_first_Geo2 - yfit_Geo2;
SSresid_Geo2 = sum(yresid_Geo2.^2);
SStotal_Geo2 = (length(lmax_Geo2)-1) * var(lmax_Geo2);
rsq_Geo2 = 1 - SSresid_Geo2/SStotal_Geo2;


%Geo3
lmax_Geo3 = log([Geo2_s(find(Geo2_s(:,2)>threshold),2);Geo6_s(find(Geo6_s(:,6)>threshold),6)]);
lmax_first_Geo3 = log([Geo2_s(find(Geo2_s(:,2)>threshold),3);Geo6_s(find(Geo6_s(:,6)>threshold),3)]);
p_Geo3=polyfit(lmax_Geo3,lmax_first_Geo3,1);
x_fitline_Geo3 = lmax_Geo3;
y_fitline_Geo3 = p_Geo3(1)*x_fitline_Geo3+p_Geo3(2);
x_fitlog_Geo3 = exp(x_fitline_Geo3);
y_fitlog_Geo3 = exp(y_fitline_Geo3);
yfit_Geo3 = polyval(p_Geo3,lmax_Geo3);
yresid_Geo3 = lmax_first_Geo3 - yfit_Geo3;
SSresid_Geo3 = sum(yresid_Geo3.^2);
SStotal_Geo3 = (length(lmax_Geo3)-1) * var(lmax_Geo3);
rsq_Geo3 = 1 - SSresid_Geo3/SStotal_Geo3;

%Geo6
lmax_Geo6 = log([Geo3_s(find(Geo3_s(:,3)>threshold),3);Geo5_s(find(Geo5_s(:,5)>threshold),5)]);
lmax_first_Geo6 = log([Geo3_s(find(Geo3_s(:,3)>threshold),6);Geo5_s(find(Geo5_s(:,5)>threshold),6)]);
p_Geo6=polyfit(lmax_Geo6,lmax_first_Geo6,1);
x_fitline_Geo6 = lmax_Geo6;
y_fitline_Geo6 = p_Geo6(1)*x_fitline_Geo6+p_Geo6(2);
x_fitlog_Geo6 = exp(x_fitline_Geo6);
y_fitlog_Geo6 = exp(y_fitline_Geo6);
yfit_Geo6 = polyval(p_Geo6,lmax_Geo6);
yresid_Geo6 = lmax_first_Geo6 - yfit_Geo6;
SSresid_Geo6 = sum(yresid_Geo6.^2);
SStotal_Geo6 = (length(lmax_Geo6)-1) * var(lmax_Geo6);
rsq_Geo6 = 1 - SSresid_Geo6/SStotal_Geo6;

%Geo5
lmax_Geo5 = log([Geo4_s(find(Geo4_s(:,4)>threshold),4);Geo6_s(find(Geo6_s(:,6)>threshold),6)]);
lmax_first_Geo5 = log([Geo4_s(find(Geo4_s(:,4)>threshold),5);Geo6_s(find(Geo6_s(:,6)>threshold),5)]);
p_Geo5=polyfit(lmax_Geo5,lmax_first_Geo5,1);
x_fitline_Geo5 = lmax_Geo5;
y_fitline_Geo5 = p_Geo5(1)*x_fitline_Geo5+p_Geo5(2);
x_fitlog_Geo5 = exp(x_fitline_Geo5);
y_fitlog_Geo5 = exp(y_fitline_Geo5);
yfit_Geo5 = polyval(p_Geo5,lmax_Geo5);
yresid_Geo5 = lmax_first_Geo5 - yfit_Geo5;
SSresid_Geo5 = sum(yresid_Geo5.^2);
SStotal_Geo5 = (length(lmax_Geo5)-1) * var(lmax_Geo5);
rsq_Geo5 = 1 - SSresid_Geo5/SStotal_Geo5;

%Geo4
lmax_Geo4 = log(Geo5_s(find(Geo5_s(:,5)>threshold),5));
lmax_first_Geo4 = log(Geo5_s(find(Geo5_s(:,5)>threshold),4));
p_Geo4=polyfit(lmax_Geo4,lmax_first_Geo4,1);
x_fitline_Geo4 = lmax_Geo4;
y_fitline_Geo4 = p_Geo4(1)*x_fitline_Geo4+p_Geo4(2);
x_fitlog_Geo4 = exp(x_fitline_Geo4);
y_fitlog_Geo4 = exp(y_fitline_Geo4);
yfit_Geo4 = polyval(p_Geo4,lmax_Geo4);
yresid_Geo4 = lmax_first_Geo4 - yfit_Geo4;
SSresid_Geo4 = sum(yresid_Geo4.^2);
SStotal_Geo4 = (length(lmax_Geo4)-1) * var(lmax_Geo4);
rsq_Geo4 = 1 - SSresid_Geo4/SStotal_Geo4;

%Geo9
lmax_Geo9 = log(Geo8_s(find(Geo8_s(:,8)>threshold),8));
lmax_first_Geo9 = log(Geo8_s(find(Geo8_s(:,8)>threshold),9));
p_Geo9=polyfit(lmax_Geo9,lmax_first_Geo9,1);
x_fitline_Geo9 = lmax_Geo9;
y_fitline_Geo9 = p_Geo9(1)*x_fitline_Geo9+p_Geo9(2);
x_fitlog_Geo9 = exp(x_fitline_Geo9);
y_fitlog_Geo9 = exp(y_fitline_Geo9);
yfit_Geo9 = polyval(p_Geo9,lmax_Geo9);
yresid_Geo9 = lmax_first_Geo9 - yfit_Geo9;
SSresid_Geo9 = sum(yresid_Geo9.^2);
SStotal_Geo9 = (length(lmax_Geo9)-1) * var(lmax_Geo9);
rsq_Geo9 = 1 - SSresid_Geo9/SStotal_Geo9;

%Geo8
lmax_Geo8 = log([Geo9_s(find(Geo9_s(:,9)>threshold),9);Geo7_s(find(Geo7_s(:,7)>threshold),7)]);
lmax_first_Geo8 = log([Geo9_s(find(Geo9_s(:,9)>threshold),8);Geo7_s(find(Geo7_s(:,7)>threshold),8)]);
p_Geo8=polyfit(lmax_Geo8,lmax_first_Geo8,1);
x_fitline_Geo8 = lmax_Geo8;
y_fitline_Geo8 = p_Geo8(1)*x_fitline_Geo8+p_Geo8(2);
x_fitlog_Geo8 = exp(x_fitline_Geo8);
y_fitlog_Geo8 = exp(y_fitline_Geo8);
yfit_Geo8 = polyval(p_Geo8,lmax_Geo8);
yresid_Geo8 = lmax_first_Geo8 - yfit_Geo8;
SSresid_Geo8 = sum(yresid_Geo8.^2);
SStotal_Geo8 = (length(lmax_Geo8)-1) * var(lmax_Geo8);
rsq_Geo8 = 1 - SSresid_Geo8/SStotal_Geo8;

%Geo7
lmax_Geo7 = log([Geo8_s(find(Geo8_s(:,8)>threshold),8);Geo10_s(find(Geo10_s(:,10)>threshold),10)]);
lmax_first_Geo7 = log([Geo8_s(find(Geo8_s(:,8)>threshold),7);Geo10_s(find(Geo10_s(:,10)>threshold),7)]);
p_Geo7=polyfit(lmax_Geo7,lmax_first_Geo7,1);
x_fitline_Geo7 = lmax_Geo7;
y_fitline_Geo7 = p_Geo7(1)*x_fitline_Geo7+p_Geo7(2);
x_fitlog_Geo7 = exp(x_fitline_Geo7);
y_fitlog_Geo7 = exp(y_fitline_Geo7);
yfit_Geo7 = polyval(p_Geo7,lmax_Geo7);
yresid_Geo7 = lmax_first_Geo7 - yfit_Geo7;
SSresid_Geo7 = sum(yresid_Geo7.^2);
SStotal_Geo7 = (length(lmax_Geo7)-1) * var(lmax_Geo7);
rsq_Geo7 = 1 - SSresid_Geo7/SStotal_Geo7;

%Geo10
lmax_Geo10 = log([Geo7_s(find(Geo7_s(:,7)>threshold),7);Geo11_s(find(Geo11_s(:,11)>threshold),11)]);
lmax_first_Geo10 = log([Geo7_s(find(Geo7_s(:,7)>threshold),10);Geo11_s(find(Geo11_s(:,11)>threshold),10)]);
p_Geo10=polyfit(lmax_Geo10,lmax_first_Geo10,1);
x_fitline_Geo10 = lmax_Geo10;
y_fitline_Geo10 = p_Geo10(1)*x_fitline_Geo10+p_Geo10(2);
x_fitlog_Geo10 = exp(x_fitline_Geo10);
y_fitlog_Geo10 = exp(y_fitline_Geo10);
yfit_Geo10 = polyval(p_Geo10,lmax_Geo10);
yresid_Geo10 = lmax_first_Geo10 - yfit_Geo10;
SSresid_Geo10 = sum(yresid_Geo10.^2);
SStotal_Geo10 = (length(lmax_Geo10)-1) * var(lmax_Geo10);
rsq_Geo10 = 1 - SSresid_Geo10/SStotal_Geo10;

%Geo11
lmax_Geo11 = log([Geo10_s(find(Geo10_s(:,10)>threshold),10);Geo12_s(find(Geo12_s(:,12)>threshold),12)]);
lmax_first_Geo11 = log([Geo10_s(find(Geo10_s(:,10)>threshold),11);Geo12_s(find(Geo12_s(:,12)>threshold),11)]);
p_Geo11=polyfit(lmax_Geo11,lmax_first_Geo11,1);
x_fitline_Geo11 = lmax_Geo11;
y_fitline_Geo11 = p_Geo11(1)*x_fitline_Geo11+p_Geo11(2);
x_fitlog_Geo11 = exp(x_fitline_Geo11);
y_fitlog_Geo11 = exp(y_fitline_Geo11);
yfit_Geo11 = polyval(p_Geo11,lmax_Geo11);
yresid_Geo11 = lmax_first_Geo11 - yfit_Geo11;
SSresid_Geo11 = sum(yresid_Geo11.^2);
SStotal_Geo11 = (length(lmax_Geo11)-1) * var(lmax_Geo11);
rsq_Geo11 = 1 - SSresid_Geo11/SStotal_Geo11;

%Geo12
lmax_Geo12 = log(Geo11_s(find(Geo11_s(:,11)>threshold),11));
lmax_first_Geo12 = log(Geo11_s(find(Geo11_s(:,11)>threshold),12));
p_Geo12=polyfit(lmax_Geo12,lmax_first_Geo12,1);
x_fitline_Geo12 = lmax_Geo12;
y_fitline_Geo12 = p_Geo12(1)*x_fitline_Geo12+p_Geo12(2);
x_fitlog_Geo12 = exp(x_fitline_Geo12);
y_fitlog_Geo12 = exp(y_fitline_Geo12);
yfit_Geo12 = polyval(p_Geo12,lmax_Geo12);
yresid_Geo12 = lmax_first_Geo12 - yfit_Geo12;
SSresid_Geo12 = sum(yresid_Geo12.^2);
SStotal_Geo12 = (length(lmax_Geo12)-1) * var(lmax_Geo12);
rsq_Geo12 = 1 - SSresid_Geo12/SStotal_Geo12;

%% all

lmax_all = log([Geo2_s(find(Geo2_s(:,2)>threshold),2);Geo1_s(find(Geo1_s(:,1)>threshold),1);Geo3_s(find(Geo3_s(:,3)>threshold),3);Geo2_s(find(Geo2_s(:,2)>threshold),2);Geo6_s(find(Geo6_s(:,6)>threshold),6);Geo3_s(find(Geo3_s(:,3)>threshold),3);Geo5_s(find(Geo5_s(:,5)>threshold),5);Geo4_s(find(Geo4_s(:,4)>threshold),4);Geo6_s(find(Geo6_s(:,6)>threshold),6);Geo8_s(find(Geo8_s(:,8)>threshold),8);Geo9_s(find(Geo9_s(:,9)>threshold),9);Geo7_s(find(Geo7_s(:,7)>threshold),7);Geo8_s(find(Geo8_s(:,8)>threshold),8);Geo10_s(find(Geo10_s(:,10)>threshold),10);Geo7_s(find(Geo7_s(:,7)>threshold),7);Geo11_s(find(Geo11_s(:,11)>threshold),11);Geo10_s(find(Geo10_s(:,10)>threshold),10);Geo12_s(find(Geo12_s(:,12)>threshold),12);Geo11_s(find(Geo11_s(:,11)>threshold),11)]);
lmax_first_all = log([Geo2_s(find(Geo2_s(:,2)>threshold),1);Geo1_s(find(Geo1_s(:,1)>threshold),2);Geo3_s(find(Geo3_s(:,3)>threshold),2);Geo2_s(find(Geo2_s(:,2)>threshold),3);Geo6_s(find(Geo6_s(:,6)>threshold),3);Geo3_s(find(Geo3_s(:,3)>threshold),6);Geo5_s(find(Geo5_s(:,5)>threshold),6);Geo4_s(find(Geo4_s(:,4)>threshold),5);Geo6_s(find(Geo6_s(:,6)>threshold),5);Geo8_s(find(Geo8_s(:,8)>threshold),9);Geo9_s(find(Geo9_s(:,9)>threshold),8);Geo7_s(find(Geo7_s(:,7)>threshold),8);Geo8_s(find(Geo8_s(:,8)>threshold),7);Geo10_s(find(Geo10_s(:,10)>threshold),7);Geo7_s(find(Geo7_s(:,7)>threshold),10);Geo11_s(find(Geo11_s(:,11)>threshold),10);Geo10_s(find(Geo10_s(:,10)>threshold),11);Geo12_s(find(Geo12_s(:,12)>threshold),11);Geo11_s(find(Geo11_s(:,11)>threshold),12)]);

p1=polyfit(lmax_all,lmax_first_all,1);
x_fitline1 = lmax_all;
y_fitline1 = p1(1)*x_fitline1+p1(2);
x_fitlog1 = exp(x_fitline1);
y_fitlog1 = exp(y_fitline1);
yfit1 = polyval(p1,lmax_all);
yresid1 = lmax_first_all - yfit1;
SSresid1 = sum(yresid1.^2);
SStotal1 = (length(lmax_all)-1) * var(lmax_all);
rsq1 = 1 - (SSresid1/SStotal1);

Table7_1 = [exp(p1(2)) p1(1) rsq1];

%% Figure 12d

sensors = 12;
light = [233, 247, 239]/255;
dark = [20, 90, 50]/255;
colors_p = [linspace(light(1),dark(1),sensors)', linspace(light(2),dark(2),sensors)', linspace(light(3),dark(3),sensors)'];

figure
loglog(x_fitlog_Geo1,y_fitlog_Geo1,'Linewidth',2,'Color',colors_p(1,:));
hold on
loglog(x_fitlog_Geo2,y_fitlog_Geo2,'Linewidth',2,'Color',colors_p(2,:));
hold on
loglog(x_fitlog_Geo3,y_fitlog_Geo3,'Linewidth',2,'Color',colors_p(3,:));
hold on
loglog(x_fitlog_Geo4,y_fitlog_Geo4,'Linewidth',2,'Color',colors_p(6,:));
hold on
loglog(x_fitlog_Geo5,y_fitlog_Geo5,'Linewidth',2,'Color',colors_p(5,:));
hold on
loglog(x_fitlog_Geo6,y_fitlog_Geo6,'Linewidth',2,'Color',colors_p(4,:));
hold on
loglog(x_fitlog_Geo7,y_fitlog_Geo7,'Linewidth',2,'Color',colors_p(9,:));
hold on
loglog(x_fitlog_Geo8,y_fitlog_Geo8,'Linewidth',2,'Color',colors_p(8,:));
hold on
loglog(x_fitlog_Geo9,y_fitlog_Geo9,'Linewidth',2,'Color',colors_p(7,:));
hold on
loglog(x_fitlog_Geo10,y_fitlog_Geo10,'Linewidth',2,'Color',colors_p(10,:));
hold on
loglog(x_fitlog_Geo11,y_fitlog_Geo11,'Linewidth',2,'Color',colors_p(11,:));
hold on
loglog(x_fitlog_Geo12,y_fitlog_Geo12,'Linewidth',2,'Color',colors_p(12,:));
grid on
box off
set(gca,'FontSize',40);
xticks([0.01 0.1 1 10]);
xticklabels({'0.01','0.1','1','10'})
yticks([0.001 0.01 0.1 1]);
yticklabels({'0.001','0.01','0.1','1'})
xlabel('A_m_a_x [V]');
ylabel('A_m_a_x 1st plate(s) [V]')
legend('Geo1','Geo2','Geo3','Geo4','Geo5','Geo6','Geo7','Geo8','Geo9','Geo10','Geo11','Geo12','Location','Southwest')
legend boxoff
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.MinorGridLineStyle = ':'
ax.MinorGridAlpha = 1
xlim([1*10^-2 1*10^1]);
ylim([1*10^-3 1*10^0]);

%% Table
Each_first = [exp(p_Geo1(2)) p_Geo1(1) rsq_Geo1;exp(p_Geo2(2)) p_Geo2(1) rsq_Geo2;exp(p_Geo3(2)) p_Geo3(1) rsq_Geo3;exp(p_Geo4(2)) p_Geo4(1) rsq_Geo4;exp(p_Geo5(2)) p_Geo5(1) rsq_Geo5;exp(p_Geo6(2)) p_Geo6(1) rsq_Geo6;exp(p_Geo7(2)) p_Geo7(1) rsq_Geo7;exp(p_Geo8(2)) p_Geo8(1) rsq_Geo8;exp(p_Geo9(2)) p_Geo9(1) rsq_Geo9;exp(p_Geo10(2)) p_Geo10(1) rsq_Geo10;exp(p_Geo11(2)) p_Geo11(1) rsq_Geo11;exp(p_Geo12(2)) p_Geo12(1) rsq_Geo12];
%writematrix(Each_first,'Each_first_sens.xls');


%% Second neighbouring geophone%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
threshold = 5*10^-1;

%% Each geophone

% Geo1

lmax_Geo1 = log(Geo3_s(find(Geo3_s(:,3)>threshold),3));
lmax_second_Geo1 = log(Geo3_s(find(Geo3_s(:,3)>threshold),1));
p_Geo1=polyfit(lmax_Geo1,lmax_second_Geo1,1);
x_fitline_Geo1 = lmax_Geo1;
y_fitline_Geo1 = p_Geo1(1)*x_fitline_Geo1+p_Geo1(2);
x_fitlog_Geo1 = exp(x_fitline_Geo1);
y_fitlog_Geo1 = exp(y_fitline_Geo1);
yfit_Geo1 = polyval(p_Geo1,lmax_Geo1);
yresid_Geo1 = lmax_second_Geo1 - yfit_Geo1;
SSresid_Geo1 = sum(yresid_Geo1.^2);
SStotal_Geo1 = (length(lmax_Geo1)-1) * var(lmax_Geo1);
rsq_Geo1 = 1 - SSresid_Geo1/SStotal_Geo1;

%Geo2
lmax_Geo2 = log(Geo6_s(find(Geo6_s(:,6)>threshold),6));
lmax_second_Geo2 = log(Geo6_s(find(Geo6_s(:,6)>threshold),2));
p_Geo2=polyfit(lmax_Geo2,lmax_second_Geo2,1);
x_fitline_Geo2 = lmax_Geo2;
y_fitline_Geo2 = p_Geo2(1)*x_fitline_Geo2+p_Geo2(2);
x_fitlog_Geo2 = exp(x_fitline_Geo2);
y_fitlog_Geo2 = exp(y_fitline_Geo2);
yfit_Geo2 = polyval(p_Geo2,lmax_Geo2);
yresid_Geo2 = lmax_second_Geo2 - yfit_Geo2;
SSresid_Geo2 = sum(yresid_Geo2.^2);
SStotal_Geo2 = (length(lmax_Geo2)-1) * var(lmax_Geo2);
rsq_Geo2 = 1 - SSresid_Geo2/SStotal_Geo2;

%Geo3
lmax_Geo3 = log([Geo1_s(find(Geo1_s(:,1)>threshold),1);Geo5_s(find(Geo5_s(:,5)>threshold),5)]);
lmax_second_Geo3 = log([Geo1_s(find(Geo1_s(:,1)>threshold),3);Geo5_s(find(Geo5_s(:,5)>threshold),3)]);
p_Geo3=polyfit(lmax_Geo3,lmax_second_Geo3,1);
x_fitline_Geo3 = lmax_Geo3;
y_fitline_Geo3 = p_Geo3(1)*x_fitline_Geo3+p_Geo3(2);
x_fitlog_Geo3 = exp(x_fitline_Geo3);
y_fitlog_Geo3 = exp(y_fitline_Geo3);
yfit_Geo3 = polyval(p_Geo3,lmax_Geo3);
yresid_Geo3 = lmax_second_Geo3 - yfit_Geo3;
SSresid_Geo3 = sum(yresid_Geo3.^2);
SStotal_Geo3 = (length(lmax_Geo3)-1) * var(lmax_Geo3);
rsq_Geo3 = 1 - SSresid_Geo3/SStotal_Geo3;

%Geo6
lmax_Geo6 = log([Geo2_s(find(Geo2_s(:,2)>threshold),2);Geo4_s(find(Geo4_s(:,4)>threshold),4)]);
lmax_second_Geo6 = log([Geo2_s(find(Geo2_s(:,2)>threshold),6);Geo4_s(find(Geo4_s(:,4)>threshold),6)]);
p_Geo6=polyfit(lmax_Geo6,lmax_second_Geo6,1);
x_fitline_Geo6 = lmax_Geo6;
y_fitline_Geo6 = p_Geo6(1)*x_fitline_Geo6+p_Geo6(2);
x_fitlog_Geo6 = exp(x_fitline_Geo6);
y_fitlog_Geo6 = exp(y_fitline_Geo6);
yfit_Geo6 = polyval(p_Geo6,lmax_Geo6);
yresid_Geo6 = lmax_second_Geo6 - yfit_Geo6;
SSresid_Geo6 = sum(yresid_Geo6.^2);
SStotal_Geo6 = (length(lmax_Geo6)-1) * var(lmax_Geo6);
rsq_Geo6 = 1 - SSresid_Geo6/SStotal_Geo6;

%Geo5
lmax_Geo5 = log(Geo3_s(find(Geo3_s(:,3)>threshold),3));
lmax_second_Geo5 = log(Geo3_s(find(Geo3_s(:,3)>threshold),5));
p_Geo5=polyfit(lmax_Geo5,lmax_second_Geo5,1);
x_fitline_Geo5 = lmax_Geo5;
y_fitline_Geo5 = p_Geo5(1)*x_fitline_Geo5+p_Geo5(2);
x_fitlog_Geo5 = exp(x_fitline_Geo5);
y_fitlog_Geo5 = exp(y_fitline_Geo5);
yfit_Geo5 = polyval(p_Geo5,lmax_Geo5);
yresid_Geo5 = lmax_second_Geo5 - yfit_Geo5;
SSresid_Geo5 = sum(yresid_Geo5.^2);
SStotal_Geo5 = (length(lmax_Geo5)-1) * var(lmax_Geo5);
rsq_Geo5 = 1 - SSresid_Geo5/SStotal_Geo5;

%Geo4
lmax_Geo4 = log(Geo6_s(find(Geo6_s(:,6)>threshold),6));
lmax_second_Geo4 = log(Geo6_s(find(Geo6_s(:,6)>threshold),4));
p_Geo4=polyfit(lmax_Geo4,lmax_second_Geo4,1);
x_fitline_Geo4 = lmax_Geo4;
y_fitline_Geo4 = p_Geo4(1)*x_fitline_Geo4+p_Geo4(2);
x_fitlog_Geo4 = exp(x_fitline_Geo4);
y_fitlog_Geo4 = exp(y_fitline_Geo4);
yfit_Geo4 = polyval(p_Geo4,lmax_Geo4);
yresid_Geo4 = lmax_second_Geo4 - yfit_Geo4;
SSresid_Geo4 = sum(yresid_Geo4.^2);
SStotal_Geo4 = (length(lmax_Geo4)-1) * var(lmax_Geo4);
rsq_Geo4 = 1 - SSresid_Geo4/SStotal_Geo4;

%Geo9
lmax_Geo9 = log(Geo7_s(find(Geo7_s(:,7)>threshold),7));
lmax_second_Geo9 = log(Geo7_s(find(Geo7_s(:,7)>threshold),9));
p_Geo9=polyfit(lmax_Geo9,lmax_second_Geo9,1);
x_fitline_Geo9 = lmax_Geo9;
y_fitline_Geo9 = p_Geo9(1)*x_fitline_Geo9+p_Geo9(2);
x_fitlog_Geo9 = exp(x_fitline_Geo9);
y_fitlog_Geo9 = exp(y_fitline_Geo9);
yfit_Geo9 = polyval(p_Geo9,lmax_Geo9);
yresid_Geo9 = lmax_second_Geo9 - yfit_Geo9;
SSresid_Geo9 = sum(yresid_Geo9.^2);
SStotal_Geo9 = (length(lmax_Geo9)-1) * var(lmax_Geo9);
rsq_Geo9 = 1 - SSresid_Geo9/SStotal_Geo9;

%Geo8
lmax_Geo8 = log(Geo10_s(find(Geo10_s(:,10)>threshold),10));
lmax_second_Geo8 = log(Geo10_s(find(Geo10_s(:,10)>threshold),8));
p_Geo8=polyfit(lmax_Geo8,lmax_second_Geo8,1);
x_fitline_Geo8 = lmax_Geo8;
y_fitline_Geo8 = p_Geo8(1)*x_fitline_Geo8+p_Geo8(2);
x_fitlog_Geo8 = exp(x_fitline_Geo8);
y_fitlog_Geo8 = exp(y_fitline_Geo8);
yfit_Geo8 = polyval(p_Geo8,lmax_Geo8);
yresid_Geo8 = lmax_second_Geo8 - yfit_Geo8;
SSresid_Geo8 = sum(yresid_Geo8.^2);
SStotal_Geo8 = (length(lmax_Geo8)-1) * var(lmax_Geo8);
rsq_Geo8 = 1 - SSresid_Geo8/SStotal_Geo8;

%Geo7
lmax_Geo7 = log([Geo9_s(find(Geo9_s(:,9)>threshold),9);Geo11_s(find(Geo11_s(:,11)>threshold),11)]);
lmax_second_Geo7 = log([Geo9_s(find(Geo9_s(:,9)>threshold),7);Geo11_s(find(Geo11_s(:,11)>threshold),7)]);
p_Geo7=polyfit(lmax_Geo7,lmax_second_Geo7,1);
x_fitline_Geo7 = lmax_Geo7;
y_fitline_Geo7 = p_Geo7(1)*x_fitline_Geo7+p_Geo7(2);
x_fitlog_Geo7 = exp(x_fitline_Geo7);
y_fitlog_Geo7 = exp(y_fitline_Geo7);
yfit_Geo7 = polyval(p_Geo7,lmax_Geo7);
yresid_Geo7 = lmax_second_Geo7 - yfit_Geo7;
SSresid_Geo7 = sum(yresid_Geo7.^2);
SStotal_Geo7 = (length(lmax_Geo7)-1) * var(lmax_Geo7);
rsq_Geo7 = 1 - SSresid_Geo7/SStotal_Geo7;

%Geo10
lmax_Geo10 = log([Geo8_s(find(Geo8_s(:,8)>threshold),8);Geo12_s(find(Geo12_s(:,12)>threshold),12)]);
lmax_second_Geo10 = log([Geo8_s(find(Geo8_s(:,8)>threshold),10);Geo12_s(find(Geo12_s(:,12)>threshold),10)]);
p_Geo10=polyfit(lmax_Geo10,lmax_second_Geo10,1);
x_fitline_Geo10 = lmax_Geo10;
y_fitline_Geo10 = p_Geo10(1)*x_fitline_Geo10+p_Geo10(2);
x_fitlog_Geo10 = exp(x_fitline_Geo10);
y_fitlog_Geo10 = exp(y_fitline_Geo10);
yfit_Geo10 = polyval(p_Geo10,lmax_Geo10);
yresid_Geo10 = lmax_second_Geo10 - yfit_Geo10;
SSresid_Geo10 = sum(yresid_Geo10.^2);
SStotal_Geo10 = (length(lmax_Geo10)-1) * var(lmax_Geo10);
rsq_Geo10 = 1 - SSresid_Geo10/SStotal_Geo10;

%Geo11
lmax_Geo11 = log(Geo7_s(find(Geo7_s(:,7)>threshold),7));
lmax_second_Geo11 = log(Geo7_s(find(Geo7_s(:,7)>threshold),11));
p_Geo11=polyfit(lmax_Geo11,lmax_second_Geo11,1);
x_fitline_Geo11 = lmax_Geo11;
y_fitline_Geo11 = p_Geo11(1)*x_fitline_Geo11+p_Geo11(2);
x_fitlog_Geo11 = exp(x_fitline_Geo11);
y_fitlog_Geo11 = exp(y_fitline_Geo11);
yfit_Geo11 = polyval(p_Geo11,lmax_Geo11);
yresid_Geo11 = lmax_second_Geo11 - yfit_Geo11;
SSresid_Geo11 = sum(yresid_Geo11.^2);
SStotal_Geo11 = (length(lmax_Geo11)-1) * var(lmax_Geo11);
rsq_Geo11 = 1 - SSresid_Geo11/SStotal_Geo11;

%Geo12
lmax_Geo12 = log(Geo10_s(find(Geo10_s(:,10)>threshold),10));
lmax_second_Geo12 = log(Geo10_s(find(Geo10_s(:,10)>threshold),12));
p_Geo12=polyfit(lmax_Geo12,lmax_second_Geo12,1);
x_fitline_Geo12 = lmax_Geo12;
y_fitline_Geo12 = p_Geo12(1)*x_fitline_Geo12+p_Geo12(2);
x_fitlog_Geo12 = exp(x_fitline_Geo12);
y_fitlog_Geo12 = exp(y_fitline_Geo12);
yfit_Geo12 = polyval(p_Geo12,lmax_Geo12);
yresid_Geo12 = lmax_second_Geo12 - yfit_Geo12;
SSresid_Geo12 = sum(yresid_Geo12.^2);
SStotal_Geo12 = (length(lmax_Geo12)-1) * var(lmax_Geo12);
rsq_Geo12 = 1 - SSresid_Geo12/SStotal_Geo12;


%% Figure 12e

sensors = 12;
light = [233, 247, 239]/255;
dark = [20, 90, 50]/255;
colors_p = [linspace(light(1),dark(1),sensors)', linspace(light(2),dark(2),sensors)', linspace(light(3),dark(3),sensors)'];

figure
loglog(x_fitlog_Geo1,y_fitlog_Geo1,'Linewidth',2,'Color',colors_p(1,:));
hold on
loglog(x_fitlog_Geo2,y_fitlog_Geo2,'Linewidth',2,'Color',colors_p(2,:));
hold on
loglog(x_fitlog_Geo3,y_fitlog_Geo3,'Linewidth',2,'Color',colors_p(3,:));
hold on
loglog(x_fitlog_Geo4,y_fitlog_Geo4,'Linewidth',2,'Color',colors_p(6,:));
hold on
loglog(x_fitlog_Geo5,y_fitlog_Geo5,'Linewidth',2,'Color',colors_p(5,:));
hold on
loglog(x_fitlog_Geo6,y_fitlog_Geo6,'Linewidth',2,'Color',colors_p(4,:));
hold on
loglog(x_fitlog_Geo7,y_fitlog_Geo7,'Linewidth',2,'Color',colors_p(9,:));
hold on
loglog(x_fitlog_Geo8,y_fitlog_Geo8,'Linewidth',2,'Color',colors_p(8,:));
hold on
loglog(x_fitlog_Geo9,y_fitlog_Geo9,'Linewidth',2,'Color',colors_p(7,:));
hold on
loglog(x_fitlog_Geo10,y_fitlog_Geo10,'Linewidth',2,'Color',colors_p(10,:));
hold on
loglog(x_fitlog_Geo11,y_fitlog_Geo11,'Linewidth',2,'Color',colors_p(11,:));
hold on
loglog(x_fitlog_Geo12,y_fitlog_Geo12,'Linewidth',2,'Color',colors_p(12,:));
grid on
box off
set(gca,'FontSize',40);
xticks([0.01 0.1 1 10]);
xticklabels({'0.01','0.1','1','10'})
yticks([0.001 0.01 0.1 1]);
yticklabels({'0.001','0.01','0.1','1'})
xlabel('A_m_a_x [V]');
ylabel('A_m_a_x 2nd plate(s) [V]')
legend('Geo1','Geo2','Geo3','Geo4','Geo5','Geo6','Geo7','Geo8','Geo9','Geo10','Geo11','Geo12','Location','Southwest')
legend boxoff
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.MinorGridLineStyle = ':'
ax.MinorGridAlpha = 1
xlim([1*10^-2 1*10^1]);
ylim([1*10^-3 1*10^0]);

%% Table
Each_second = [exp(p_Geo1(2)) p_Geo1(1) rsq_Geo1;exp(p_Geo2(2)) p_Geo2(1) rsq_Geo2;exp(p_Geo3(2)) p_Geo3(1) rsq_Geo3;exp(p_Geo4(2)) p_Geo4(1) rsq_Geo4;exp(p_Geo5(2)) p_Geo5(1) rsq_Geo5;exp(p_Geo6(2)) p_Geo6(1) rsq_Geo6;exp(p_Geo7(2)) p_Geo7(1) rsq_Geo7;exp(p_Geo8(2)) p_Geo8(1) rsq_Geo8;exp(p_Geo9(2)) p_Geo9(1) rsq_Geo9;exp(p_Geo10(2)) p_Geo10(1) rsq_Geo10;exp(p_Geo11(2)) p_Geo11(1) rsq_Geo11;exp(p_Geo12(2)) p_Geo12(1) rsq_Geo12];
%writematrix(Each_second,'Each_second_sens.xls');

%% all
lmax_all = log([Geo3_s(find(Geo3_s(:,3)>threshold),3);Geo6_s(find(Geo6_s(:,6)>threshold),6);Geo1_s(find(Geo1_s(:,1)>threshold),1);Geo5_s(find(Geo5_s(:,5)>threshold),5);Geo2_s(find(Geo2_s(:,2)>threshold),2);Geo4_s(find(Geo4_s(:,4)>threshold),4);Geo3_s(find(Geo3_s(:,3)>threshold),3);Geo6_s(find(Geo6_s(:,6)>threshold),6);Geo7_s(find(Geo7_s(:,7)>threshold),7);Geo10_s(find(Geo10_s(:,10)>threshold),10);Geo9_s(find(Geo9_s(:,9)>threshold),9);Geo11_s(find(Geo11_s(:,11)>threshold),11);Geo8_s(find(Geo8_s(:,8)>threshold),8);Geo12_s(find(Geo12_s(:,12)>threshold),12);Geo7_s(find(Geo7_s(:,7)>threshold),7);Geo10_s(find(Geo10_s(:,10)>threshold),10)]);
lmax_second_all = log([Geo3_s(find(Geo3_s(:,3)>threshold),1);Geo6_s(find(Geo6_s(:,6)>threshold),2);Geo1_s(find(Geo1_s(:,1)>threshold),3);Geo5_s(find(Geo5_s(:,5)>threshold),3);Geo2_s(find(Geo2_s(:,2)>threshold),6);Geo4_s(find(Geo4_s(:,4)>threshold),6);Geo3_s(find(Geo3_s(:,3)>threshold),5);Geo6_s(find(Geo6_s(:,6)>threshold),4);Geo7_s(find(Geo7_s(:,7)>threshold),9);Geo10_s(find(Geo10_s(:,10)>threshold),8);Geo9_s(find(Geo9_s(:,9)>threshold),7);Geo11_s(find(Geo11_s(:,11)>threshold),7);Geo8_s(find(Geo8_s(:,8)>threshold),10);Geo12_s(find(Geo12_s(:,12)>threshold),10);Geo7_s(find(Geo7_s(:,7)>threshold),11);Geo10_s(find(Geo10_s(:,10)>threshold),12)]);

p2=polyfit(lmax_all,lmax_second_all,1);
x_fitline2 = lmax_all;
y_fitline2 = p2(1)*x_fitline2+p2(2);
x_fitlog2 = exp(x_fitline2);
y_fitlog2 = exp(y_fitline2);
yfit2 = polyval(p2,lmax_all);
yresid2 = lmax_second_all - yfit2;
SSresid2 = sum(yresid2.^2);
SStotal2 = (length(lmax_all)-1) * var(lmax_all);
rsq2 = 1 - (SSresid2/SStotal2);

Table7_2 = [exp(p2(2)) p2(1) rsq2];
