%% Gilles Antoniazza / June 2020

clear all
close all

% Load data

Geo1 =cell2mat(struct2cell(load('geo1.mat')));  
Geo1(90,:)=[];
Geo1(60,:)=[];                                       
Geo2 =cell2mat(struct2cell(load('geo2.mat')));      
Geo2(90,:)=[];
Geo2(70,:)=[];                                      
Geo3 =cell2mat(struct2cell(load('geo3.mat'))); 
Geo4 =cell2mat(struct2cell(load('geo4.mat')));     
Geo4(90,:)=[];                                      
Geo5 =cell2mat(struct2cell(load('geo5.mat')));
Geo6 =cell2mat(struct2cell(load('geo6.mat')));      
Geo6(90,:)=[];                                       
Geo7 =cell2mat(struct2cell(load('geo7.mat'))); 
Geo8 =cell2mat(struct2cell(load('geo8.mat'))); 
Geo8(20,:)=[];
Geo8(10,:)=[];                                      
Geo9 =cell2mat(struct2cell(load('geo9.mat')));
Geo10 =cell2mat(struct2cell(load('geo10.mat')));  

%% Color
sensors = 10;
light = [235, 245, 251]/255;
dark = [27, 79, 144]/255;
colors_p = [linspace(light(1),dark(1),sensors)', linspace(light(2),dark(2),sensors)', linspace(light(3),dark(3),sensors)'];


%% Figure 6a

figure
bar(mean(Geo5(end-9:end,:)),'Facecolor',colors_p(7,:))
%grid on
box off
%xlabel('SPG number');
xticklabels({'G1','G2','G3','G4','G5','G6','G7','G8','G9','G10'})
ylabel('A_m_a_x [V]')
set(gca,'FontSize',40);
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.YGrid = 'on';
ylim([0 7]);

figure
bar(mean(Geo6(end-9:end,:)),'Facecolor',colors_p(7,:))
%grid on
box off
%xlabel('SPG number');
xticklabels({'G1','G2','G3','G4','G5','G6','G7','G8','G9','G10'})
ylabel('A_m_a_x [V]')
set(gca,'FontSize',40);
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.YGrid = 'on';
ylim([0 7]);
