%% Gilles Antoniazza / June 2020

clear all
close all

% Load data

Geo1 =cell2mat(struct2cell(load('geo1.mat'))); 
Geo1(90,:)=[];
Geo1(80,:)=[];
Geo1(30,:)=[];
Geo2 =cell2mat(struct2cell(load('geo2.mat')));       
Geo2(60,:)=[];
Geo3 =cell2mat(struct2cell(load('geo3.mat'))); 
Geo3(80,:)=[];
Geo3(70,:)=[];
Geo3(50,:)=[];
Geo4 =cell2mat(struct2cell(load('geo4.mat')));      
Geo4(60,:)=[];
Geo5 =cell2mat(struct2cell(load('geo5.mat')));
Geo5(80,:)=[];
Geo6 =cell2mat(struct2cell(load('geo6.mat')));      
Geo6(90,:)=[];
Geo6(80,:)=[];
Geo6(60,:)=[];
Geo6(50,:)=[];
Geo6(39:40,:)=[];
Geo7 =cell2mat(struct2cell(load('geo7.mat'))); 
Geo8 =cell2mat(struct2cell(load('geo8.mat'))); 
Geo8(60,:)=[];
Geo8(50,:)=[];
Geo9 =cell2mat(struct2cell(load('geo9.mat')));
Geo9(90,:)=[];
Geo9(70,:)=[];
Geo10 =cell2mat(struct2cell(load('geo10.mat')));  
Geo10(70,:)=[]; 
Geo11 =cell2mat(struct2cell(load('geo11.mat')));
Geo11(70,:)=[];
Geo11(50,:)=[];
Geo11(40,:)=[];
Geo12 =cell2mat(struct2cell(load('geo12.mat')));
Geo12(90,:)=[];
Geo12(70,:)=[];

% Colors

sensors = 12;
light = [233, 247, 239]/255;
dark = [20, 90, 50]/255;
colors_p = [linspace(light(1),dark(1),sensors)', linspace(light(2),dark(2),sensors)', linspace(light(3),dark(3),sensors)'];

%% Figure 6c

figure
bar([mean(Geo4(end-9:end,1)) mean(Geo4(end-9:end,2)) mean(Geo4(end-9:end,3)) mean(Geo4(end-9:end,6)) mean(Geo4(end-9:end,5)) mean(Geo4(end-9:end,4)) mean(Geo4(end-9:end,9)) mean(Geo4(end-9:end,8)) mean(Geo4(end-9:end,7)) mean(Geo4(end-9:end,10)) mean(Geo4(end-9:end,11)) mean(Geo4(end-9:end,12))],'Facecolor',colors_p(7,:));
box off
%xlabel('SPG number');
xticklabels({'G1','G2','G3','G4','G5','G6','G7','G8','G9','G10','G11','G12'})
ylabel('A_m_a_x [V]')
set(gca,'FontSize',40);
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.YGrid = 'on';
ylim([0 3]);

figure
bar([mean(Geo9(end-9:end,1)) mean(Geo9(end-9:end,2)) mean(Geo9(end-9:end,3)) mean(Geo9(end-9:end,6)) mean(Geo9(end-9:end,5)) mean(Geo9(end-9:end,4)) mean(Geo9(end-9:end,9)) mean(Geo9(end-9:end,8)) mean(Geo9(end-9:end,7)) mean(Geo9(end-9:end,10)) mean(Geo9(end-9:end,11)) mean(Geo9(end-9:end,12))],'Facecolor',colors_p(7,:));
box off
xticklabels({'G1','G2','G3','G4','G5','G6','G7','G8','G9','G10','G11','G12'})
ylabel('A_m_a_x [V]')
set(gca,'FontSize',40);
ax = gca
ax.GridLineStyle = '-'
ax.GridColor = 'k'
ax.GridAlpha = 0.5 % maximum line opacity
ax.YGrid = 'on';
ylim([0 3]);

